How to install tensorflow-gpu V2 on Windows without recompiling?

I have an NVIDIA RTX 2080 TI, so I need to use at least NVIDIA 10.

I installed:

  • NVDIA 10.1, with setup in path
  • CUDNN (file cudnn64_7.dll), with setup in path
  • visualStudioLibCpp redistribuable version 2017 (files vcredist_x64.exe and vc_redist.x64.exe), with setup in path. Note: I tried also 2015 and 2019 versions.
  • python 3.7.3
  • pip install tensorflow-gpu==2.0.0-alpha0

When I try to import, I have this error:

Python 3.7.3 (v3.7.3:ef4ec6ed12, Mar 25 2019, 22:22:05) [MSC v.1916 64 bit (AMD64)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>> import tensorflow as tf
Traceback (most recent call last):
  File "C:\Users\gilfr\AppData\Local\Programs\Python\Python37\lib\site-packages\tensorflow\python\pywrap_ten
 line 58, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
  File "C:\Users\gilfr\AppData\Local\Programs\Python\Python37\lib\site-packages\tensorflow\python\pywrap_ten
rnal.py", line 28, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
  File "C:\Users\gilfr\AppData\Local\Programs\Python\Python37\lib\site-packages\tensorflow\python\pywrap_ten
rnal.py", line 24, in swig_import_helper
    _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
  File "C:\Users\gilfr\AppData\Local\Programs\Python\Python37\lib\imp.py", line 242, in load_module
    return load_dynamic(name, filename, file)
  File "C:\Users\gilfr\AppData\Local\Programs\Python\Python37\lib\imp.py", line 342, in load_dynamic
    return _load(spec)
ImportError: DLL load failed: Le module spécifié est introuvable.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "C:\Users\gilfr\AppData\Local\Programs\Python\Python37\lib\site-packages\tensorflow\__init__.py", lin
dule>
    from tensorflow._api.v2 import audio
  File "C:\Users\gilfr\AppData\Local\Programs\Python\Python37\lib\site-packages\tensorflow\_api\v2\audio\__i
ine 8, in <module>
    from tensorflow.python.ops.gen_audio_ops import decode_wav
  File "C:\Users\gilfr\AppData\Local\Programs\Python\Python37\lib\site-packages\tensorflow\python\__init__.p
 in <module>
    from tensorflow.python import pywrap_tensorflow
  File "C:\Users\gilfr\AppData\Local\Programs\Python\Python37\lib\site-packages\tensorflow\python\pywrap_ten
 line 74, in <module>
    raise ImportError(msg)
ImportError: Traceback (most recent call last):
  File "C:\Users\gilfr\AppData\Local\Programs\Python\Python37\lib\site-packages\tensorflow\python\pywrap_ten
 line 58, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
  File "C:\Users\gilfr\AppData\Local\Programs\Python\Python37\lib\site-packages\tensorflow\python\pywrap_ten
rnal.py", line 28, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
  File "C:\Users\gilfr\AppData\Local\Programs\Python\Python37\lib\site-packages\tensorflow\python\pywrap_ten
rnal.py", line 24, in swig_import_helper
    _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
  File "C:\Users\gilfr\AppData\Local\Programs\Python\Python37\lib\imp.py", line 242, in load_module
    return load_dynamic(name, filename, file)
  File "C:\Users\gilfr\AppData\Local\Programs\Python\Python37\lib\imp.py", line 342, in load_dynamic
    return _load(spec)
ImportError: DLL load failed: Le module spécifié est introuvable.

My question is what is wrong with my installation?

0 Answers